org.restlet.ext.netty.internal

## Class HttpsServerPipelineFactory

- java.lang.Object
- - org.restlet.ext.netty.internal.HttpsServerPipelineFactory

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelPipelineFactory

    public class HttpsServerPipelineFactory
    extends java.lang.Object
    implements org.jboss.netty.channel.ChannelPipelineFactory

HTTPS channel pipeline factory.

Author:
  Gabriel Ciuloaica (gciuloaica@gmail.com)

### Constructor Summary

Constructors
Constructor and Description
`HttpsServerPipelineFactory(NettyServerHelper serverHelper, javax.net.ssl.SSLContext sslContext)` Constructor.

### Method Summary

Methods
`org.jboss.netty.channel.ChannelPipeline` `getPipeline()` Implements the `ChannelPipelineFactory.getPipeline()` method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpsServerPipelineFactory

    public HttpsServerPipelineFactory(NettyServerHelper serverHelper,
                              javax.net.ssl.SSLContext sslContext)

Constructor.

Parameters:
  `serverHelper` - The server helper.
  `sslContext` - The SSL context.

### Method Detail

#### getPipeline

    public org.jboss.netty.channel.ChannelPipeline getPipeline()
                                                        throws java.lang.Exception

Implements the `ChannelPipelineFactory.getPipeline()` method.

Specified by:
  `getPipeline` in interface `org.jboss.netty.channel.ChannelPipelineFactory`
Returns:
  The channel pipeline.
Throws:
  `java.lang.Exception`